---
title: "The documentation describes use cases to illustrate how this integration can be used"
---

## Reasoning

Sometimes, seeing a device or service integrated into Home Assistant can make you wonder, "Why would I integrate this?"
For some integrations, the intended use and benefit are more obvious than for others.

Use case examples in the documentation can showcase the value of an integration.

## Example implementation

```markdown showLineNumbers
The motion detection devices of MyCompany are cheap and usable.
When you combine it with their other device you can do x.
```

## Exceptions

There are no exceptions to this rule.